function [signal1D]=generate_1Dexponential_real(Amp,f,Phase,NumPoints)
%% Generate one 1D exponential;
%%
% This code is owned by Computational Sensing Group at Xiamen University
% Corresponding Author: Xiaobo Qu
% Homepage: http://www.quxiaobo.org
% Email: quxiaobo <|at|> xmu.edu.cn
% Affiliations:
% (a)Departments of Electronic Science, Xiamen University, Xiamen 361005, China
% (b)Fujian Key Laboratory of Plasma and Magnetic Resonance, Xiamen University, Xiamen 361005, China

%%
dt=1;
t0=0;
tEnd=(NumPoints-1)*dt+t0;
t=t0:dt:tEnd;
signal1D=Amp*cos(2*pi*t*f+Phase);
end
