function [ signal,U] = generate_3D_example(NumPeaks,NumPoints_row,NumPoints_col,NumPoints_ver)
%%
% This code is owned by Computational Sensing Group at Xiamen University
% Corresponding Author: Xiaobo Qu
% Homepage: http://www.quxiaobo.org
% Email: quxiaobo <|at|> xmu.edu.cn
% Affiliations:
% (a)Departments of Electronic Science, Xiamen University, Xiamen 361005, China
% (b)Fujian Key Laboratory of Plasma and Magnetic Resonance, Xiamen University, Xiamen 361005, China

%%     
     U=cell(3,1);
     U{1}=zeros(NumPeaks,NumPoints_row);
     U{2}=zeros(NumPeaks,NumPoints_col);
     U{3}=zeros(NumPeaks,NumPoints_ver);
    
     Amp=[1 0.8 0.7 0.9 1.1 1.2 0.8 1 1.1 0.9];
     Phase=repmat(0*2*pi,1,length(Amp));
     f_row=[0.83 0.93 0.52 0.25 0.28 0.72 0.31 0.46 0.18 0.65];
     f_col=[0.85 0.66 0.73 0.15 0.41 0.32 0.58 0.81 0.97 0.37];
     f_ver=[0.88 0.34 0.68 0.44 0.79 0.31 0.13 0.61 0.28 0.71];
     Tao_row=rand(NumPeaks,1)*30+1e18;
     Tao_col=rand(NumPeaks,1)*30+1e18;
     Tao_ver=rand(NumPeaks,1)*30+1e18;
     for k=1:NumPeaks
        U{1}(k,:)=generate_1Ddamping_exponential(Amp(k),f_row(k),Phase(k),Tao_row(k),NumPoints_row);
        U{2}(k,:)=generate_1Ddamping_exponential(1,f_col(k),Phase(k),Tao_col(k),NumPoints_col);
        U{3}(k,:)=generate_1Ddamping_exponential(1,f_ver(k),Phase(k),Tao_ver(k),NumPoints_ver);
     end
     signal=CP(U);
     maxim=max((signal(:)));
     signal=signal/maxim;
      for k=1:NumPeaks
          U{1}(k,:)=U{1}(k,:)/maxim;
      end
     
     
end

